<template>
  <el-col>
    <p class="miniTitle">Эл. Почты</p>
    <el-row class="inputsGroup" :gutter="20" align="middle" v-for="(item, index) in this.personForm.contact.emails" v-bind:key="item">
      <el-col :span="11">
        <el-form-item label="Тип" prop="">
          <el-select v-model="item.type_id" placeholder="Тип">
            <el-option
                v-for="item in this.dictionaries.email_type"
                :key="item.id"
                :label="item.name"
                :value="item.id"
            />
          </el-select>
        </el-form-item>
      </el-col>
      <el-col :span="11">
        <el-form-item label="Номер" prop="">
          <el-input v-model="item.email" />
        </el-form-item>
      </el-col>
      <el-col :span="2">
        <el-button type="info" class="bigButton" v-if="index !== 0" @click="removeItem(index)"><img src="@/assets/person-form/trash.svg" class="icon-image" alt=""></el-button>
      </el-col>
    </el-row>
    <el-button class="addItemButton" type="info" @click="addItem()"><img src="@/assets/person-form/plus.svg" class="icon-image" alt=""> Добавить почту</el-button>
  </el-col>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    },
    removeItem(index){
      this.personForm.contact.emails.splice(index, 1);
    },
    addItem(){
      this.personForm.contact.emails.push({
        email: '',
        type_id: ''
      });
    },
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>